Package picard.illumina

# Interface BasecallsConverter.ConvertedClusterDataWriter<OUTPUT_RECORD>

Type Parameters:
  `OUTPUT_RECORD` - The recode type to convert to.

All Superinterfaces:
  `AutoCloseable`, `Closeable`, `htsjdk.io.Writer<OUTPUT_RECORD>`

Enclosing class:
  `BasecallsConverter<CLUSTER_OUTPUT_RECORD>`

protected static interface BasecallsConverter.ConvertedClusterDataWriter<OUTPUT_RECORD> extends htsjdk.io.Writer<OUTPUT_RECORD>
Interface that defines a writer that will write out OUTPUT_RECORD type objects.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Closes the writer.
`void`
`write(OUTPUT_RECORD rec)`
Write out a single record of type OUTPUT_RECORD.

### Methods inherited from interface htsjdk.io.Writer

`write`

## Method Details

### write

void write(OUTPUT_RECORD rec)
Write out a single record of type OUTPUT_RECORD.

Specified by:
  `write` in interface `htsjdk.io.Writer<OUTPUT_RECORD>`
Parameters:
  `rec` - The record to write.

### close

void close()
Closes the writer.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`